Page MenuHomeFreeBSD

Update the ipfw section in the Handbook: kernel options, ipfw0, configuration
ClosedPublic

Authored by f.toscan_hotmail.it on Dec 8 2018, 3:56 PM.

Details

Summary

First attempt to update the ipfw section in the Handbook. I've documented some kernel compile options, introduced ipfw0 and sysrc usage.
If the direction is right I can go further with logging and in-kernel nat.
I've created this revision as instructed (see Bug 232956)

Test Plan

The patch attached was tested on 4.11.2018 and the documentation build was fine.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

ygy added a reviewer: docs.Dec 10 2018, 11:12 PM
ygy added a subscriber: docs.
ygy removed a subscriber: docs.
bcr added a subscriber: bcr.Jan 13 2019, 4:59 PM

Can you run textproc/igor on your change and fix the errors that are reported? The indentation of the following line seems way off:
<para>To enable logging through a dedicated interface named ...

As a general comment, since IPFW can be loaded as a kernel module now, I'd make that the recommended configuration at the start of the file, and include the 'how to compile a kernel with ipfw in it' at the bottom of the chapter, so as not to send new users off into more complicated configurations for no reason.

Thank you for your feedback.

@bcr : sure, I'll fix that.

@allanjude : I thought to make the proposed patch the least intrusive as possible; if you think that moving the kernel plumbing part to the bottom of the chapter is better, I'll be happy to try to shuffle things once I got this minor fix right.

Thank you all, I'll be back in some days

Here is a new diff. I fixed style bugs found running igor, as suggested by Benedict Reuschling; then I moved the kernel compile options part to the end of the chapter, as requested by Allan Jude.

Thanks for review, I'm waiting for your comments.

bcr accepted this revision.Feb 22 2019, 7:10 PM

Sorry for the wait. Looks good to me. I can get it committed.

This revision is now accepted and ready to land.Feb 22 2019, 7:10 PM

Ok thank you.
I have a draft for the logging section: I'll open a new bug report after this is committed.

Out of interest, who's taking care of the commit?

crees added a subscriber: crees.Feb 26 2019, 8:47 PM

Unlees @bcr commits it first or objects, I'll do it.

bcr added a comment.Feb 26 2019, 9:03 PM

Go ahead...

This revision was automatically updated to reflect the committed changes.